<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.countrygarden.bi.main.dao.bii.BiTargetYearMapper">
 <insert id="insertBiTargetYear" parameterType="cn.com.countrygarden.bi.main.model.bii.BiTargetYear">
        INSERT INTO bi_target_year       
           VALUES
            (#{bit.id},#{bit.deleteFlg},#{bit.createdDate},#{bit.createdUserId},#{bit.updateDate},#{bit.updateUserId},
            #{bit.year},#{bit.corpCostId},#{bit.targetAmount})
 </insert>
 
 <update id="updateBiTargetYear" >
        UPDATE
        bi_target_year 
        SET
        target_amount=#{bit.targetAmount},
         update_date=#{bit.updateDate},
        update_user_id = #{bit.updateUserId}
        where corp_cost_id=#{bit.corpCostId}  and year=#{bit.year}
 </update>

</mapper>